Get popularity

Get daily values for album popularity.

Album popularity metric indicates how popular a album is on a specific platform. It is calculated by the platform.


You can get the album's popularity of “spotify”, “tidal” or “melon”.

The popularity of an album is between 0 and 100, with 100 being the most popular. The popularity is calculated by algorithm and is based mainly on the total number of plays the album has had and how recent those plays are.

Don’t know the album UUID? Use the Get album by UPC or Get album by platform ID endpoints.

Request

GET /api/v2/album/{uuid}/popularity/{platform}

Path parameters

Parameter Value Description Additional
uuid string An album UUID Required
platform string A platform code Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD) Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional

Response

Code Description Resource
200 OK

A album response popularity for a period

Album Plot Collection
400 Bad Request

Invalid platform code

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Song not found

Explore

An album UUID

A platform code

Optional period start date (format YYYY-MM-DD)

Optional period end date (format YYYY-MM-DD)

Try it out